import c4d
from c4d import gui
#Welcome to the world of Python

def GetNextObject(op):
    if op==None:
        return None
    
    if op.GetDown():
        return op.GetDown()
     
    while not op.GetNext() and op.GetUp():
        op = op.GetUp()
  
    return op.GetNext()
 
def IterateHierarchy(op):
    if op is None:
        return
    count = 0
    while op:
        if op.GetName() == "Effector":
            count += 1
        op = GetNextObject(op)
    return count

def main():
    start_object = doc.GetFirstObject()
    count = IterateHierarchy(start_object)

    root = 'preset://foldingtitlegenerator1.0.lib4d/Effector'
    c4d.documents.MergeDocument(doc, root, c4d.SCENEFILTER_OBJECTS)

    if count >= 1 :
        i = range (1, 100)
        for a in reversed(i) :   
            Sobj = doc.SearchObject("Effector." + str(a))    
            if not Sobj :
                doc.GetFirstObject().SetName("Effector." + str(a))
    c4d.EventAdd()
    
if __name__=='__main__':
    main()
